curl --location --globoff 'https:///sharepoint-service/api/v2/sharepoint/initiate' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data-raw '{
"agent_id": "agent-789",
"corpus_id": "abc123-def456",
"library_url": "https://contoso.sharepoint.com/sites/Marketing/Shared%20Documents",
"sync": true,
"user_email": "[email protected]"
}'{
"auth_url": "https://login.microsoftonline.com/common/oauth2/v2.0/authorize?client_id=...",
"state": "550e8400-e29b-41d4-a716-446655440000"
}